/*
 * Copyright 2005-2006 The Portal Application Laboratory Team.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.sf.pal.notepad.dao;

import java.util.List;

import jp.sf.pal.notepad.model.Category;


public interface CategoryDao
{
    public Class BEAN = Category.class;

    //add, update, delete
    public void save(Category category);

    public void delete(Category category);

    public void update(Category category);

    public void saveOrUpdate(Category category);

    // By id
    public String getCategoryById_ARGS = "id";

    public Category getCategoryById(long id);

    // All Category
    public List getAllCategory();
    

    // Cateogory by scope, owner
    public String getCategoryByScopeOwner_ARGS = "scope, owner";

    public List getCategoryByScopeOwner(String scope, String owner);

}
